## org.mortbay.loadbalancer
Class ByteBufferPool

    java.lang.Object
      |
      +--org.mortbay.loadbalancer.ByteBufferPool

public class ByteBufferPool
extends java.lang.Object

Constructor Summary
`ByteBufferPool()`
`ByteBufferPool(int capacity, boolean direct)`

Method Summary
`void` `add(java.nio.ByteBuffer buffer)`
`java.nio.ByteBuffer` `get()`
`int` `getCapacity()`
`boolean` `isDirect()`
`void` `setCapacity(int capacity)`
`void` `setDirect(boolean direct)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteBufferPool

    public ByteBufferPool()

### ByteBufferPool

    public ByteBufferPool(int capacity,
                          boolean direct)

Method Detail

### getCapacity

    public int getCapacity()

### setCapacity

    public void setCapacity(int capacity)

### isDirect

    public boolean isDirect()

### setDirect

    public void setDirect(boolean direct)

### get

    public java.nio.ByteBuffer get()

### add

    public void add(java.nio.ByteBuffer buffer)

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.